API referenceDomains

Retrieve a domain

GET/domains/{id}

The domain with its DNS records, verification status, capabilities, tracking and TLS settings.

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Path Parameters

id*string
Length1 <= length <= 64

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/domains/string"
{  "object": "domain",  "id": "string",  "name": "string",  "status": "not_started",  "created_at": "2019-08-24T14:15:22Z",  "region": "string",  "records": [    {      "record": "SPF",      "name": "string",      "fqdn": "string",      "type": "TXT",      "value": "string",      "ttl": "string",      "priority": -9007199254740991,      "status": "not_started"    }  ],  "open_tracking": true,  "click_tracking": true,  "tls": "opportunistic",  "capabilities": {    "sending": "enabled",    "receiving": "enabled"  },  "connection_id": "string",  "sending_connection": {    "id": "string",    "provider": "ses"  },  "receiving_connection": {    "id": "string",    "provider": "ses"  },  "custom_return_path": "string",  "tracking_subdomain": "string",  "configuration_set_name": "string",  "tracking_status": "pending",  "receiving": {    "status": "disabled",    "setup": {      "status": "unsupported_region",      "stack_update": {        "stack_name": "string",        "region": "string",        "parameters": {          "property1": "string",          "property2": "string"        },        "console_url": "string",        "command": "string"      },      "activate_rule_set": {        "rule_set_name": "string",        "command": "string"      },      "checked_at": "2019-08-24T14:15:22Z"    }  },  "receiving_only": true,  "dns_automation": {    "provider": "route53",    "status": "applied",    "zone_name": "string",    "checked_at": "2019-08-24T14:15:22Z",    "records": [      {        "record": "SPF",        "name": "string",        "type": "TXT",        "result": "created"      }    ]  },  "sending_restriction": {    "status": "not_configured",    "stack_update": {      "stack_name": "string",      "region": "string",      "parameters": {        "property1": "string",        "property2": "string"      },      "console_url": "string",      "command": "string"    }  }}